      subroutine rate(ijx)
********************************************************************
*                                                                  *
*                     Author: P. JAMES                             *
*                     2000-03-29                                   *
*                                                                  *
********************************************************************
*                                                                  *
* DESCRIPTION: This program converts a set of accumulated fluxes   *
* ECMWF model FG fields into equivalent RATES at time ijx          *
* LSP,CP    [mm/hr]                                                *
* SSR,SSHF  [W/(m*m)]                                              *
* EWSS,NSSS [N/(m*m)]                                              *
*                                                                  *
********************************************************************

      include 'parameter'
      include 'commonvar'

      integer ijx,ijpm,i,j,iact
      real step,steprain

      if (jhrf.eq.3) then
         step=3600.*3.
         steprain=3./1000.
      else
         step=3600.*6.
         steprain=6./1000.
      end if

      ijpm=mod(ijx,2)
      iact=ijx
      if (iact.gt.4) iact=4
      if (ijpm.eq.0.and.jhrf.eq.3) then
* Fluxes at 06/12/18/00 within a 3-hourly dataset
* Must subtract previous 3-hourly values
      do 25 i=1,nx
      do 25 j=1,ny
      lsp(i,j,iact)=lsp(i,j,iact)/steprain-lsp(i,j,iact-1)
      cp(i,j,iact)=cp(i,j,iact)/steprain-cp(i,j,iact-1)
      sshf(i,j,iact)=sshf(i,j,iact)/step-sshf(i,j,iact-1)
      ssr(i,j,iact)=ssr(i,j,iact)/step-ssr(i,j,iact-1)
      ewss(i,j,iact)=ewss(i,j,iact)/step-ewss(i,j,iact-1)
      nsss(i,j,iact)=nsss(i,j,iact)/step-nsss(i,j,iact-1)
25    continue
      else
* All other situations
* Fluxes within a 6-hourly dataset
* Fluxes at 03/09/15/21 within a 3-hourly dataset
      do 75 i=1,nx
      do 75 j=1,ny
      lsp(i,j,iact)=lsp(i,j,iact)/steprain
      cp(i,j,iact)=cp(i,j,iact)/steprain
      sshf(i,j,iact)=sshf(i,j,iact)/step
      ssr(i,j,iact)=ssr(i,j,iact)/step
      ewss(i,j,iact)=ewss(i,j,iact)/step
      nsss(i,j,iact)=nsss(i,j,iact)/step
75    continue
      end if
      return
      end
